/* Domyślnie czarne tło */
:root{
    --e-loop-nothing-found-message-color: #1f2124; 
}

:root:has(.darkmode--activated){
    --e-loop-nothing-found-message-color: #fff !important; 
}

/* .darkmode--activated.elementor-kit-73{
    --e-global-color-primary: #000 !important; 
    --e-global-color-secondary: #fff !important;
    --e-global-color-text: #fff !important;
} */


[class*="category-"] {
    --category-text-bg: #000;
    --category-text-color: #fff;
    --category-original-color: var(--category-color);
}

/* Definiowanie kolorów kategorii i zapisanie ich w osobnej zmiennej */
.category-serwerownia{
    --category-color: #c8aff0;
    --category-original-color: #c8aff0;
}

.category-aplikacje{
    --category-color: #b4dc19;
    --category-original-color: #b4dc19;
}


.category-lokalne-modele{
    --category-color: #ffafa5;
    --category-original-color: #ffafa5;
}

.category-oferta {
    --category-color: #b4dc19;
    --category-original-color: #b4dc19;
}
.category-front-end {
    --category-color: #14c8eb;
    --category-original-color: #14c8eb;
}
.category-infrastruktura {
    --category-color: #c8aff0;
    --category-original-color: #c8aff0;
}
.category-nauczanie-maszynowe {
    --category-color: #ffafa5;
    --category-original-color: #ffafa5;
}
.category-bezpieczenstwo {
    --category-color: #b4c8e1;
    --category-original-color: #b4c8e1;
}
.category-otanova {
    --category-color: #ff8c19;
    --category-original-color: #ff8c19;
}
.category-kultura-w-it {
    --category-color: #fa551e;
    --category-original-color: #fa551e;
}

.category-aktualnosci{
    --category-color: #fad24b;
    --category-original-color: #fad24b;
}

.category-offer-speed{
    --category-color: #c8aff0;
    --category-original-color: #c8aff0;
}

.category-offer-seo{
    --category-color: #fad24b;
    --category-original-color: #fad24b;
}

/* Dark mode */
.darkmode--activated [class*=" category-"] {
    --category-text-bg: var(--category-original-color) !important;
    --category-color: transparent !important;
    --category-text-color: #000;
}

.darkmode--activated .container-category{
    --category-color: var(--category-original-color) !important;
    background-color: transparent !important;
}

.darkmode--activated .container-category-outer{
    --category-color: var(--category-original-color) !important;
    background-color: transparent !important;
}

.container-category-badge h2 a{
    padding: 5px 10px;
    width: auto !important;
}
.container-category .container-category-badge h2 a{
    background-color: #000;
}

.container-category-outer .container-category-badge h2 a{
    background-color: var(--category-color) !important;
}

.darkmode--activated .container-category-outer .container-category-badge h2 a{
    background-color: var(--category-color) !important;
}

.darkmode--activated .container-category .container-category-badge h2 a{
    background-color: var(--category-color) !important;
    color: #000 !important;
} 

[class*="category-"] div > img{
    filter: brightness(0);
}

.darkmode--activated [class*="category-"] div > img{
    filter: brightness(10);
}

.darkmode--activated [class*="category-"] div > img:hover{
    filter: none;
}

[class*="category-"] .post-bg-image{
    background-color: var(--category-color);
}

.darkmode--activated [class*="category-"] .post-bg-image img{
    filter: none;
}

[class*="category-"] .title-background h1:not(.wp-block-heading), [class*="category-"]  .title-background h3:not(.wp-block-heading), [class*="category-"]  .title-background h2:not(.wp-block-heading), [class*="category-"]  .title-background h4:not(.wp-block-heading){
    background-color: var(--category-text-bg);
    color: var(--category-text-color) !important;
}

[class*="category-"] .title-background-link a{
    background-color: var(--category-text-bg);
}

[class*="category-"] .post-feedback__form.post-bg-image{
    background-color: var(--category-original-color) !important;
}

li.menu-item:has(.has-submenu) .sub-menu li:not([class*="category-"]){
    color: white;
}

p:not(main *), li:not(main *), a:not(main *), span:not(main *) {
    font-family: var(--font-sans);
    color: var(--color-standard);
    text-decoration-line: unset !important;
}